%define         version       16.04.1
# Bump when date/snapshot changes
%define         mainrel       1
%define         date          20170109
# Bump for rebuild of same snapshot
%define         snaprel       1

%define         major         4
%define         major_gtk     4
%define         major_json    4

%define         gtk2          1
%{?_without_gtk3: %global gtk2 0}
%{?_with_gtk3: %global gtk2 1}

%define         gtk3          1
%{?_without_gtk3: %global gtk3 0}
%{?_with_gtk3: %global gtk3 1}

%define         libname       %mklibname dbusmenu-glib %{major}
%define         typelibname   %mklibname dbusmenu-gir 0.4
%define         jsonname      %mklibname dbusmenu-jsonloader %{major_json}
%define         develname     %mklibname dbusmenu-glib -d
%define         jsondevelname %mklibname dbusmenu-jsonloader -d
%define         toolsname     %{name}-tools

%if %{gtk2}
%define         gtk2dir       %{name}-%{version}+%{date}
%define         gtk2libname   %mklibname dbusmenu-gtk2_ %{major_gtk}
%define         typelibgtk2   %mklibname dbusmenu-gtk2-gir 0.4
%define         gtk2develname %mklibname dbusmenu-gtk2 -d
%endif

%if %{gtk3}
%define         gtk3dir       %{name}-gtk3-%{version}+%{date}
%define         gtk3libname   %mklibname dbusmenu-gtk3_ %{major_gtk}
%define         typelibgtk3   %mklibname dbusmenu-gtk3-gir 0.4
%define         gtk3develname %mklibname dbusmenu-gtk3 -d
%endif

Name:           libdbusmenu
Version:        %{version}
Release:        %mkrel 1
Summary:        Library for applications to pass a menu scructure accross DBus
License:        LGPLv3
Group:          System/Libraries
URL:            https://launchpad.net/dbusmenu
Source0:        %{name}-%{version}+%{date}.tar.xz

BuildRequires:  gnome-doc-utils
BuildRequires:  intltool
BuildRequires:  pkgconfig(atk)
BuildRequires:  pkgconfig(gio-2.0) >= 2.26
BuildRequires:  pkgconfig(gio-unix-2.0) >= 2.24
BuildRequires:  pkgconfig(glib-2.0) >= 2.26
BuildRequires:  pkgconfig(gobject-introspection-1.0) >= 0.10
BuildRequires:  pkgconfig(gtk+-2.0) >= 2.16
BuildRequires:  pkgconfig(gtk+-3.0) >= 2.91
BuildRequires:  pkgconfig(json-glib-1.0) >= 0.13.4
BuildRequires:  pkgconfig(x11) >= 1.3
BuildRequires:  vala-tools
BuildRequires:  xsltproc

%description
A small little library that was created by pulling out some comon code
out of indicator-applet. It passes a menu structure across DBus so that
a program can create a menu simply without worrying about how it is
displayed on the other side of the bus.

#-----------------------------------------------------------------------

%package -n     %{libname}
Summary:        Library for applications to pass a menu structure accross DBus
Group:          System/Libraries

%description -n %{libname}
A small library for applications to raise "flags" on DBus for other
components of the desktop to pick up and visualize. Currently used by
the messaging indicator.

%files -n       %{libname}
%{_libdir}/%{name}-glib.so.%{major}*
%{_libdir}/girepository-1.0/Dbusmenu-0.4.typelib

#-----------------------------------------------------------------------

%package -n     %{develname}
Summary:        Library headers for %{name}
Group:          Development/Libraries
Requires:       %{libname} = %{version}
Provides:       %{name}-devel = %{version}-%{release}

%description -n %{develname}
This is the libraries, include files and other resources you can use
to incorporate %{name} into applications.

%files -n       %{develname}
%dir %{_includedir}/libdbusmenu-glib-0.4
%{_includedir}/libdbusmenu-glib-0.4/libdbusmenu-glib
%{_libdir}/libdbusmenu-glib.so
%{_libdir}/pkgconfig/dbusmenu-glib-0.4.pc
%{_datadir}/gir-1.0/Dbusmenu-0.4.gir
%{_datadir}/vala/vapi/Dbusmenu-0.4.vapi

%if %{gtk2}
#-----------------------------------------------------------------------

%package -n     %{gtk2libname}
Summary:        Library for applications to pass a menu structure accross DBus
Group:          System/Libraries

%description -n %{gtk2libname}
A small little library that was created by pulling out some comon code
out of indicator-applet. It passes a menu structure across DBus so that
a program can create a menu simply without worrying about how it is
displayed on the other side of the bus. Gtk+2 version.

%files -n       %{gtk2libname}
%{_libdir}/%{name}-gtk.so.%{major_gtk}*
%{_libdir}/girepository-1.0/DbusmenuGtk-0.4.typelib

#------------------------------------------------------------------------

%package -n     %{gtk2develname}
Summary:        Library headers for %{name}
Group:          Development/Libraries
Requires:       %{gtk2libname} = %{version}
Requires:       %{develname} = %{version}
Provides:       %{name}-gtk-devel = %{version}-%{release}
Obsoletes:      libdbusmenu-gtk-devel
Provides:       libdbusmenu-gtk-devel = %{version}-%{release}

%description -n %{gtk2develname}
This is the libraries, include files and other resources you can use
to incorporate %{name} into applications. Gtk+2 version

%files -n       %{gtk2develname}
%{_includedir}/libdbusmenu-gtk-0.4/libdbusmenu-gtk
%{_libdir}/libdbusmenu-gtk.so
%{_libdir}/pkgconfig/dbusmenu-gtk-0.4.pc
%{_datadir}/gir-1.0/DbusmenuGtk-0.4.gir
%{_datadir}/vala/vapi/DbusmenuGtk-0.4.vapi

%endif
#-----------------------------------------------------------------------
%if %{gtk3}

%package -n     %{gtk3libname}
Summary:        Library for applications to pass a menu structure accross DBus
Group:          System/Libraries

%description -n %{gtk3libname}
A small little library that was created by pulling out some comon code
out of indicator-applet. It passes a menu structure across DBus so that
a program can create a menu simply without worrying about how it is
displayed on the other side of the bus.

%files -n       %{gtk3libname}
%{_libdir}/%{name}-gtk3.so.%{major_gtk}*
%{_libdir}/girepository-1.0/DbusmenuGtk3-0.4.typelib

#-----------------------------------------------------------------------

%package -n     %{gtk3develname}
Summary:        Library headers for %{name}
Group:          Development/Libraries
Requires:       %{gtk3libname} = %{version}
Requires:       %{develname} = %{version}
Provides:       %{name}-gtk-devel = %{version}-%{release}
Obsoletes:      libdbusmenu-gtk-devel
Provides:       libdbusmenu-gtk-devel = %{version}-%{release}

%description -n %{gtk3develname}
This is the libraries, include files and other resources you can use
to incorporate %{name} into applications.

%files -n       %{gtk3develname}
%{_includedir}/libdbusmenu-gtk3-0.4/libdbusmenu-gtk
%{_libdir}/libdbusmenu-gtk3.so
%{_libdir}/pkgconfig/dbusmenu-gtk3-0.4.pc
%{_datadir}/gir-1.0/DbusmenuGtk3-0.4.gir
%{_datadir}/vala/vapi/DbusmenuGtk3-0.4.vapi

#------------------------------------------------------------------------
%endif

%package -n     %{jsonname}
Summary:        Library for applications to pass a menu structure accross DBus
Group:          System/Libraries

%description -n %{jsonname}
A small little library that was created by pulling out some comon code
out of indicator-applet. It passes a menu structure across DBus so that
a program can create a menu simply without worrying about how it is
displayed on the other side of the bus.

%files -n       %{jsonname}
%{_libdir}/%{name}-jsonloader.so.%{major_json}*

#-----------------------------------------------------------------------

%package -n     %{jsondevelname}
Summary:        Library headers for %{name}
Group:          Development/Libraries
Requires:       %{jsonname} = %{version}
Requires:       %{develname} = %{version}-%{release}
Provides:       %{name}-jsonloader-devel = %{version}-%{release}

%description -n %{jsondevelname}
This is the libraries, include files and other resources you can use
to incorporate %{name} into applications.

%files -n       %{jsondevelname}
%{_includedir}/libdbusmenu-glib-0.4/libdbusmenu-jsonloader
%{_libdir}/libdbusmenu-jsonloader.so
%{_libdir}/pkgconfig/dbusmenu-jsonloader-0.4.pc

#-----------------------------------------------------------------------

%package -n     %{toolsname}
Summary:        Tools useful when building applications
Group:          Development/Libraries

%description -n %{toolsname}
This package contains tools that are useful when building applications.

%files -n       %{toolsname}
%doc %{_docdir}/%{name}/
%{_libexecdir}/dbusmenu-bench
%{_libexecdir}/dbusmenu-dumper
%{_libexecdir}/dbusmenu-testapp
%{_datadir}/%{name}/json/test-gtk-label.json

#-----------------------------------------------------------------------

%prep
%setup -c %{name}-%{version}+%{date}
pushd %{gtk2dir}
%apply_patches
popd

cp -a %{gtk2dir} %{gtk3dir}

%build
%if %{gtk2}
pushd %{gtk2dir}
./autogen.sh
%configure2_5x \
 --with-gtk=2 \
 --disable-static
%make
popd
%endif

%if %{gtk3}
pushd %{gtk3dir}
./autogen.sh
%configure2_5x \
 --with-gtk=3 \
 --disable-static
%make
popd
%endif


%install
%if %{gtk2}
%make_install -C %{gtk2dir}
%endif

%if %{gtk3}
%make_install -C %{gtk3dir}
%endif

find %{buildroot}%{_libdir} -name "*.la" -delete


%changelog
* Wed Jun 13 2018 adrianomorselli <adrianomorselli> 16.04.1-1uplos2018
- update
